using APT.Infrastructure.Core;
using System.Collections.Generic;
using System.ComponentModel;

namespace APT.BaseData.Domain.Entities.FM
{
    /// <summary>
    /// 外部连接配置
    /// </summary>
    [Description("连接配置表")]
   [IgnoreT4]public class T_FM_EXT_CONN_CONFIG : MesEntityBase
	{
		/// <summary>编码</summary>
		[CUnique(true)]
		[Description("编码")]
		public string CODE { get; set; }

		/// <summary>
		/// 名称
		/// </summary>
		[Description("名称")]
        [AcronymField("NAME_ACRONYM")]
        public string NAME { get; set; }


        /// <summary>
        /// 名称首字母缩写
        /// </summary>
        [Description("名称首字母缩写")]
        public string NAME_ACRONYM { get; set; }
        /// <summary>
        /// FMExtConnDestTypeEnum
        /// </summary>
        [Description("连接目标类型")]
		[EnumName("FMExtConnDestTypeEnum")]
		public int CONN_DEST_TYPE { get; set; }

		/// <summary>
		/// FMExtConnTypeEnum
		/// </summary>
		[Description("连接类型")]
		[EnumName("FMExtConnTypeEnum")]
		public int CONN_TYPE { get; set; }
		
		[Description("备注")]
		public string REMARK { get; set; }

		/// <summary>
		/// FMEnableStatusEnum
		/// </summary>
		[Description("启用标志")]
		[EnumName("FMEnableStatusEnum")]
		public int ENABLE_STATUS { get; set; }


		[Description("导航：配置明细表")]
        public virtual ICollection<T_FM_EXT_CONN_CONFIG_DETAIL> Nav_Details { get; set; }


	}
}
